Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
heap_page Struct Reference

## Data Fields
short | total_slots
short | free_slots
short | pinned_slots
short | final_slots
struct {
unsigned int before_sweep: 1
unsigned int has_remembered_objects: 1
unsigned int has_uncollectible_shady_objects: 1
unsigned int in_tomb: 1
} | flags
struct heap_page * | free_next
RVALUE * | start
RVALUE * | freelist
struct list_node | page_node
bits_t | wb_unprotected_bits [HEAP_PAGE_BITMAP_LIMIT]
bits_t | mark_bits [HEAP_PAGE_BITMAP_LIMIT]
bits_t | uncollectible_bits [HEAP_PAGE_BITMAP_LIMIT]
bits_t | marking_bits [HEAP_PAGE_BITMAP_LIMIT]
bits_t | pinned_bits [HEAP_PAGE_BITMAP_LIMIT]

## Detailed Description

Definition at line 845 of file gc.c.

## Field Documentation

## ◆ before_sweep

unsigned int heap_page::before_sweep

Definition at line 851 of file gc.c.

## ◆ final_slots

short heap_page::final_slots

Definition at line 849 of file gc.c.

## ◆ flags

struct { ... } heap_page::flags

## ◆ free_next

struct heap_page* heap_page::free_next

Definition at line 857 of file gc.c.

## ◆ free_slots

short heap_page::free_slots

Definition at line 847 of file gc.c.

## ◆ freelist

RVALUE* heap_page::freelist

Definition at line 859 of file gc.c.

## ◆ has_remembered_objects

unsigned int heap_page::has_remembered_objects

Definition at line 852 of file gc.c.

## ◆ has_uncollectible_shady_objects

unsigned int heap_page::has_uncollectible_shady_objects

Definition at line 853 of file gc.c.

## ◆ in_tomb

unsigned int heap_page::in_tomb

Definition at line 854 of file gc.c.

## ◆ mark_bits

bits_t heap_page::mark_bits[HEAP_PAGE_BITMAP_LIMIT]

Definition at line 866 of file gc.c.

## ◆ marking_bits

bits_t heap_page::marking_bits[HEAP_PAGE_BITMAP_LIMIT]

Definition at line 869 of file gc.c.

## ◆ page_node

struct list_node heap_page::page_node

Definition at line 860 of file gc.c.

## ◆ pinned_bits

bits_t heap_page::pinned_bits[HEAP_PAGE_BITMAP_LIMIT]

Definition at line 873 of file gc.c.

## ◆ pinned_slots

short heap_page::pinned_slots

Definition at line 848 of file gc.c.

## ◆ start

RVALUE* heap_page::start

Definition at line 858 of file gc.c.

## ◆ total_slots

short heap_page::total_slots

Definition at line 846 of file gc.c.

## ◆ uncollectible_bits

bits_t heap_page::uncollectible_bits[HEAP_PAGE_BITMAP_LIMIT]

Definition at line 868 of file gc.c.

## ◆ wb_unprotected_bits

bits_t heap_page::wb_unprotected_bits[HEAP_PAGE_BITMAP_LIMIT]

Definition at line 863 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c